from django.conf.urls.defaults import *
import settings
import os
from os.path import join
from django.views.generic.simple import direct_to_template
# from django.auth.views import login, logout, register,

# Uncomment the next two lines to enable the admin:
from django.contrib import admin
admin.autodiscover()

from api import actions
actions.autodiscover()

urlpatterns = patterns('',
    # Example:
    # (r'^bhangar/', include('bhangar.foo.urls')),
    #(r'^search/', include('solango.urls')),
    (r'^t/$', "frontpage.views.index"),
    (r'm/', include('insidepages.urls')),
    # ('m/(?P<module_slug>.*)', 'insidepages.views.main'),
    (r'^comments/', include('django.contrib.comments.urls')),
    (r'^ckeditor/', include('ckeditor.urls')),
    (r'^robots.txt$', direct_to_template, {'template': 'robots.txt', 'mimetype': 'text/plain'}),
    (r'^erang/', include('erang_organised.urls')),
    (r'api/', 'api.views.api'),
    (r'jsdoc/', 'api.views.jsdoc'),
    (r'site.json', 'app.views.site_json'),
    (r'^itf/', include('festival.urls')),
    (r'^accounts/', include('registration.urls')),
    (r'^admin/(.*)', admin.site.root),
    ('^getLanguages', 'itfcore.views.getLanguages'),
    # Uncomment the admin/doc line below and add 'django.contrib.admindocs' 
    # to INSTALLED_APPS to enable admin documentation:
    #Core views:
#    (r'profile', 'itfcore.views.edit_profile'),
    (r'i/', include('itfcore.urls')),
    (r'^admin/doc/', include('django.contrib.admindocs.urls')),
    (r'^search/', include('haystack.urls')),    

#    (r'^mockup/', 'itfcore.views.mockup'),
#    (r'x0news/', 'itfcore.views.allnews'),
#    (r'x0disc/', 'itfcore.views.disc'),
#    (r'x0multi/', 'itfcore.views.multi'),
#    (r'x0resources/', 'itfcore.views.resources'),
#    (r'x0erang/', 'itfcore.views.erang'),
#    (r'x0profile/', 'itfcore.views.profile'),
	(r'finalTest/', 'boxes.views.mainPage'),
	(r'finalInner/', 'boxes.views.innerPage'),
    (r'googlehostedservice.html', 'itfcore.views.googlehosted'),
   
    (r'emailsignuplist', 'festival.views.email_signups'),
    (r'^favicon.ico$', 'django.views.generic.simple.redirect_to', {'url': '/static/images/favicon.ico'}),

#    (r'^ajax_filtered_fields/', include('ajax_filtered_fields.urls')),
    # Uncomment the next line to enable the admin:
    (r'^test$', 'app.views.index'),  
    (r'^$', 'festival.views.home')
)

if settings.LOCAL_DEVELOPMENT:
#
  urlpatterns += patterns('',
#
  (r'^static/(?P<path>.*)$', 'django.views.static.serve', {'document_root': join(settings.PROJECT_ROOT, "static")}),
#
)
#

